Query Group Voicemail List
Query the group voicemail list.
Request URL
GET {base_url}/{api_path}/vm_group/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of group voicemails. |
| vm_group_list | Array <Group_Voicemail> | The basic information of each group voicemail. |
Group_Voicemail
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The ID of the group voicemail. |
| type | String | The type of the group voicemail.
|
| number | String | The number of the group voicemail. |
| name | String | The name of the group voicemail. |
| mode | String | The mode of the group voicemail.
|
| member_list | Array <Group_Voicemail_Member | The information of each member in the group voicemail. |
| messages | Object <Voicemail_Message> | The information of massages in the group voicemail. |
Group_Voicemail_Member
| Parameter | Type | Description |
|---|---|---|
| value | String | The member's ID. |
| type | String | The member's type.
|
| text | String | The member's name. |
| text2 | String | The definition of this parameter depends on the value of type.
|
Voicemail_Message
| Parameter | Type | Description |
|---|---|---|
| total | Integer | The total number of the messages. |
| unread | Integer | The number of unread messages. |
Examples
Request example
GET /openapi/v1.0/vm_group/list?access_token=UIFGAl0HUpg8i78V0Z6nCx5YghKqE235 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"vm_group_list": [
{
"id": 1,
"type": "ring_group",
"number": "6300",
"name": "Technical Support Team 2",
"mode": "share",
"member_list": [
{
"text": "Evelyn",
"text2": "3200",
"value": "3071",
"type": "extension"
},
{
"text": "Dave Haris",
"text2": "3202",
"value": "3074",
"type": "extension"
},
{
"text": "Terrell Smith",
"text2": "3021",
"value": "3075",
"type": "extension"
}
],
"messages": {
"unread": 12,
"total": 30
}
},
{
"id": 2,
"type": "custom",
"number": "6100",
"name": "6100",
"mode": "share",
"member_list": [
{
"text": "Evelyn",
"text2": "3200",
"value": "3071",
"type": "extension"
}
],
"messages": {
"unread": 5,
"total": 20
}
},
{
"id": 3,
"type": "queue",
"number": "6401",
"name": "6401",
"mode": "share",
"member_list": [
{
"text": "Dave Haris",
"text2": "3202",
"value": "3074",
"type": "extension"
},
{
"text": "Terrell Smith",
"text2": "3021",
"value": "3075",
"type": "extension"
}
],
"messages": {
"unread": 0,
"total": 10
}
}
]
}